#pragma once

class FWatchVersionDlg
{
private:
	HWND hDlg_;

	FWatchVersionDlg( const FWatchVersionDlg& ); //<! 実装なし
	FWatchVersionDlg& operator=(const FWatchVersionDlg& ); //<! 実装なし

public:
	FWatchVersionDlg();
	~FWatchVersionDlg();

	void show(HWND hWnd);

private:
	BOOL OnInitDialog();
	static LRESULT CALLBACK DlgProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
};
